#
# spec file for package python-bugzillatools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-bugzillatools
Version:        0.5.5
Release:        lp151.2.1
Summary:        Bugzilla CLI client, XML-RPC binding and VCS plugins
License:        GPL-3.0+
Group:          Development/Languages/Python
Url:            https://github.com/frasertweedale/bugzillatools
Source:         https://pypi.python.org/packages/source/b/bugzillatools/bugzillatools-%{version}.tar.gz
BuildRequires:  python-devel
#Recommends:     bzr
# File conflict for /usr/bin/bugzilla:
Conflicts:      python-bugzilla
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Provides a CLI program and Python library for interacting with the
Bugzilla_ bug tracking system, and plugins for version control
systems that enable interaction with Bugzilla installations.

%prep
%setup -q -n bugzillatools-%{version}
sed -i "/.bugzillarc.sample/d" setup.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --install-data=%{_docdir}/%{name}

%files
%defattr(-,root,root,-)
%doc CHANGES README.rst gpl-3.0.txt
%{_bindir}/bugzilla
%{python_sitelib}/bzlib
%{python_sitelib}/bzrlib
%{python_sitelib}/bugzillatools-%{version}-py%{py_ver}.egg-info

%changelog
* Tue Apr 28 2015 benoit.monin@gmx.fr
- update to version 0.5.5:
  * comment command learned the --private option
  * fix comment enumeration order
  * fix string encoding error when invoking editor which could lead
    to invalid XML being sent to server
- additional changes from version 0.5.4:
  * better error messages on missing server/account configuration
    (#3)
  * remove fields without name data from bug records (#5)
  * make user and password configuration optional (#12)
- additional changes from version 0.5.3.1:
  * fix installation error
- additional changes from version 0.5.3:
  * editor: fix incorrect path to vi(1) when EDITOR is not defined
  * create command: treat "defaulted" fields as mandatory in case
    no default is set
  * ui: fix some unicode encoding errors
  * fields command: handle minor changes in result format in 4.4
  * correct the name of the platform field
    (platform -> rep_platform)
  * expand bzr plugin documentation
- replace README with README.rst: changed upstream
* Mon Oct 21 2013 speilicke@suse.com
- Fix license to GPL-3.0+ (see sr#203363 for reference)
* Wed Oct  9 2013 speilicke@suse.com
- Set license to MIT (according to code).
* Tue Oct  8 2013 speilicke@suse.com
- Initial version
